{
    attributes = (
        {
            allowsNull = N; 
            columnName = "BCPO_ID"; 
            externalType = NUMBER; 
            name = bcpoId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "COMM_ID"; 
            externalType = NUMBER; 
            name = commId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = cxml; 
            externalType = CLOB; 
            name = cxml; 
            valueClassName = NSString; 
        }, 
        {
            columnName = "date_Creation"; 
            externalType = DATE; 
            name = dateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = N; 
            columnName = "FBCP_ID"; 
            externalType = NUMBER; 
            name = fbcpId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_creation"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (bcpoId, dateCreation); 
    className = "org.cocktail.fwkcktldepense.server.metier.b2b.EOB2bCxmlPunchoutmsg"; 
    classProperties = (commId, cxml, dateCreation, persIdCreation, toCommande, toFournisB2bCxmlParam); 
    externalName = "jefy_depense.B2B_CXML_PUNCHOUTMSG"; 
    fetchSpecificationDictionary = {}; 
    name = FwkCaramboleB2bCxmlPunchoutmsg; 
    primaryKeyAttributes = (bcpoId); 
    relationships = (
        {
            destination = FwkCaramboleCommande; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = commId; sourceAttribute = commId; }); 
            name = toCommande; 
        }, 
        {
            destination = FwkCaramboleB2bFournisB2bCxmlParam; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fbcpId; sourceAttribute = fbcpId; }); 
            name = toFournisB2bCxmlParam; 
        }
    ); 
}
